Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Had to reformat and reinstall my Intel Mac with 10.4.11. Can't download install dmg from the ftp site.

  • 7 பதிலளிப்புகள்
  • 0 இந்த பிரச்னைகள் உள்ளது
  • 32 views
  • Last reply by James

Had to reformat and reinstall my Intel Mac with System 10.4.11. Can't download install dmg from the ftp site because my id and password don't get me into the FTP website.

ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/3.6.28/mac/en-US/Firefox%203.6.28.dmg

Does anyone have the installer for 3.6.28 version of Mac Firefox

Had to reformat and reinstall my Intel Mac with System 10.4.11. Can't download install dmg from the ftp site because my id and password don't get me into the FTP website. ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/3.6.28/mac/en-US/Firefox%203.6.28.dmg Does anyone have the installer for 3.6.28 version of Mac Firefox

All Replies (7)

spikul said

Had to reformat and reinstall my Intel Mac with System 10.4.11. Can't download install dmg from the ftp site because my id and password don't get me into the FTP website. ftp://ftp.mozilla.org/ ...

The ftp:// protocol on Mozilla servers was discontinued back on Aug 5th, 2015. Mozilla prefers everybody use http://archive.mozilla.org anyways.

Is this really the ancient macOS 10.4.11 as in ten.four.eleven ?

If so then Firefox 4.0 required macOS 10.5 at minimum back then so yes the Firefox 3.6.28 released way back on March 13th, 2012 is the most current you can run.

Helpful?

This one worked and I can download both of them without a User ID and Password.

Which one of these is for the iMac 7.1 Intel version File Firefox 3.6.28.dmg 19M 13-Feb-2023 11:54 File Firefox 3.6.28.dmg.asc 194 13-Feb-2023 11:54

Helpful?

Mark it as resolved to remove it from our list and have a nice day.

Helpful?

The .dmg of course as ignore the asc for any version.

The macOS versions used to be universal binary till 32-bit was dropped.

Helpful?

Installed it and I am getting ssl no cypher overlap.

So, found out that I can upgrade the machine to 10.11.6 El Capitan. Will do this because I don't think that the security for this version can be fixed.

When I get that done, what version of firefox should I download for El Capitan? II would like to use the site which has the dmg that was so kindly given to me. I search for hours and all I could find was the fox site.

The sadist thing about all of this was that everything worked and then I put a version of Mac Office for 10.4 and it kept tying to update and couldn't get to the site and would crash the machine.

You guys are really FANTASTIC!!! Thanks for helping damsel in distress.

Helpful?

Firefox 78.15.0esr is the latest to still support the old EOL macOS 10.9, 10.10, 10.11 https://support.mozilla.org/en-US/kb/firefox-mac-osx-users-esr

Firefox 79.0 to 115 ESR requires macOS 10.12, 10.13, 10.14 at minimum to run. https://support.mozilla.org/en-US/kb/firefox-users-macos-1012-1013-1014-moving-to-extended-support

Firefox 116.0 and later requires macOS 10.15 or later to run

Here is Firefox 78.15.0esr .dmg https://archive.mozilla.org/pub/firefox/releases/78.15.0esr/mac/en-US/ or if you prefer a different locale https://archive.mozilla.org/pub/firefox/releases/78.15.0esr/mac/

Helpful?

கேள்வி எழுப்பு

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.